Loading...
Searching...
No Matches
fem_on_pointset.cc

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciation(T)
#define | _RHEOLEF_instanciation_value(T, M, Value, Diff)
#define | _RHEOLEF_instanciation_values(T, M, Diff)
#define | _RHEOLEF_instanciation_evaluate(T, M)

## Functions

template<class T, class M>
void | div_evaluate_internal (const fem_on_pointset_rep< T > &obj, const geo_basic< T, M > &omega_K, const geo_element &K, const details::differentiate_option &gopt, const Eigen::Matrix< tensor_basic< T >, Eigen::Dynamic, Eigen::Dynamic > &grad_value, Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &value)
template<class T, class M>
void | curl_evaluate_internal (const fem_on_pointset_rep< T > &obj, const geo_basic< T, M > &omega_K, const geo_element &K, const details::differentiate_option &gopt, Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &value)
template<class T, class M>
void | curl_evaluate_internal (const fem_on_pointset_rep< T > &obj, const geo_basic< T, M > &omega_K, const geo_element &K, const details::differentiate_option &gopt, Eigen::Matrix< point_basic< T >, Eigen::Dynamic, Eigen::Dynamic > &value)
| _RHEOLEF_instanciation (Float) _RHEOLEF_instanciation_evaluate(Float

## Macro Definition Documentation

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T | ) |

Value:
template class fem_on_pointset_rep<T>; \

Definition at line 479 of file fem_on_pointset.cc.

## _RHEOLEF_instanciation_value

#define _RHEOLEF_instanciation_value | ( |  | T,
|  |  | M,
|  |  | Value,
|  |  | Diff )

Value:
template void fem_on_pointset_rep<T>::evaluate<M,Value,Diff> ( \
const geo_basic<T,M>& omega_K, \
const geo_element& K, \
const details::differentiate_option& gopt, \
Eigen::Matrix<Value,Eigen::Dynamic,Eigen::Dynamic>& value) const; \
template void fem_on_pointset_rep<T>::evaluate_on_side<M,Value,Diff> ( \
const geo_basic<T,M>& omega_K, \
const geo_element& K, \
const side_information_type& sid, \
const details::differentiate_option& gopt, \
Eigen::Matrix<Value,Eigen::Dynamic,Eigen::Dynamic>& value) const; \

Definition at line 482 of file fem_on_pointset.cc.

## _RHEOLEF_instanciation_values

#define _RHEOLEF_instanciation_values | ( |  | T,
|  |  | M,
|  |  | Diff )

Value:
_RHEOLEF_instanciation_value(T,M,T,Diff) \
_RHEOLEF_instanciation_value(T,M,point_basic<T>,Diff) \
_RHEOLEF_instanciation_value(T,M,tensor_basic<T>,Diff) \
_RHEOLEF_instanciation_value(T,M,tensor3_basic<T>,Diff) \
_RHEOLEF_instanciation_value(T,M,tensor4_basic<T>,Diff) \
_RHEOLEF_instanciation_value
#define _RHEOLEF_instanciation_value(T, Value)
Definition basis_on_pointset.cc:546
T
Expr1::float_type T
Definition field_expr.h:230
M
Expr1::memory_type M
Definition vec_expr_v2.h:416

Definition at line 495 of file fem_on_pointset.cc.

## _RHEOLEF_instanciation_evaluate

#define _RHEOLEF_instanciation_evaluate | ( |  | T,
|  |  | M )

Value:
_RHEOLEF_instanciation_values(T,M,details::differentiate_option::none) \
_RHEOLEF_instanciation_values(T,M,details::differentiate_option::gradient) \
_RHEOLEF_instanciation_values(T,M,details::differentiate_option::divergence) \
_RHEOLEF_instanciation_values(T,M,details::differentiate_option::curl) \
_RHEOLEF_instanciation_values
#define _RHEOLEF_instanciation_values(T, M, Diff)
Definition fem_on_pointset.cc:495

Definition at line 502 of file fem_on_pointset.cc.